Loading...
Searching...
No Matches
Gudhi::Off_reader Class Reference

OFF file reader top class visitor. More...

`#include <include/gudhi/Off_reader.h>`

## Public Member Functions

template<typename OffVisitor>
bool | read (OffVisitor &off_visitor)
| Read an OFF file and calls the following methods :

## Detailed Description

OFF file reader top class visitor.

OFF file must be conform to OFF file format

## Member Function Documentation

## read()

template<typename OffVisitor>

bool Gudhi::Off_reader::read | ( | OffVisitor & | off_visitor | ) |

inline

Read an OFF file and calls the following methods :

`void init(int dim,int num_vertices,int num_faces,int num_edges); // from file header - num_edges may not be set`

`void point(const std::vector<double>& point); // for each point read`

`void maximal_face(const std::list<int>& face); // for each face read`

`void done(); // upon file read is finished`

of the visitor when reading a point or a maximal face. Edges are not taken into account.

The documentation for this class was generated from the following file:

- include/gudhi/Off_reader.h